package com.example.iot_controlhost.model.controller.relay;

import com.example.iot_controlhost.utils.MMKVUtil;

/**
 * @Description 继电器下-空调
 * @Author DuanKaiji
 * @CreateTime 2023年12月11日 09:35:18
 */
public class AirCondition extends Relay {
    public AirCondition(String name) {
        super(name);
    }

    /**
     * 获取空调型号
     * 因为getModel()方法在Relay中的setPowerSupply()中会被用来分辨获取继电器开关指令
     * 所以不能直接重写getModel()与setModel()
     */
    public String getAirConditionModel() {
        return MMKVUtil.get(name + "型号", "默认");
    }

    public void setAirConditionModel(String model) {
        MMKVUtil.put(name + "型号", model);
    }

    public String getAirConditionModel2() {
        return MMKVUtil.get(name + "2型号", "默认");
    }

    public void setAirConditionModel2(String model) {
        MMKVUtil.put(name + "2型号", model);
    }
}
